<template>
    <div class="main-master-page">
        <MyHeader />
        <div class="content-container">
            <slot></slot>
        </div>
        <MyFooter />
    </div>
</template>

<script>
import MyHeader from '@/components/MyHeader.vue';
import MyFooter from '@/components/MyFooter.vue';
export default {
    name: 'MainMasterPage',
    components: {
        MyFooter,
        MyHeader
    },
}
</script>

<style lang="scss" scoped>
.main-master-page {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    color: white;
    background-color: #638a79;

    .content-container {
        flex: 1;
        box-sizing: border-box;
        padding-top: 10vh;
        padding-bottom: 5vh;
    }
}
</style>